Hi guys
This is what I came up with a few months ago, but it fails when curves or inner loops exist.
Also it uses the offset.rb from Smustard(TM).
By using this combination of soft and smooth you are able to put correct dimensions in both SKP and LO
If you need to get rid of the changes the plugin Fix101 takes care of it.
Any ideas to improve this?
#CSR create soften edges for renders
ss = Sketchup.active_model.selection
Sketchup.active_model.start_operation("test")
old_edges = []
new_faces = []
ss.each{|e|old_edges.push e if e.class == Sketchup::Edge}
ss.each{|s|new_faces.push s.offset(-0.0625) if s.class == Sketchup::Face}
old_edges.each{|oe| oe.smooth = true}
new_faces.each{|nf| nf.edges.each{|nfe| nfe.soft = true; nfe.hidden = true}}
Sketchup.active_model.commit_operation